public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/puppetserver/
Date: Wed, 21 Mar 2018 16:16:37 +0000 (UTC)	[thread overview]
Message-ID: <1521648984.3fe27a9e8cee170cb564263d59e28959005002c5.prometheanfire@gentoo> (raw)

commit:     3fe27a9e8cee170cb564263d59e28959005002c5
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 21 16:08:37 2018 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Mar 21 16:16:24 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3fe27a9e

app-admin/puppetserver: 5.3.0 bup

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-admin/puppetserver/Manifest                  |   1 +
 app-admin/puppetserver/puppetserver-5.3.0.ebuild | 130 +++++++++++++++++++++++
 2 files changed, 131 insertions(+)

diff --git a/app-admin/puppetserver/Manifest b/app-admin/puppetserver/Manifest
index d8e358c7f3f..8fed9007e56 100644
--- a/app-admin/puppetserver/Manifest
+++ b/app-admin/puppetserver/Manifest
@@ -1,2 +1,3 @@
 DIST puppetserver-5.1.4.tar.gz 66628031 BLAKE2B 815f0eb1508589855556ae0f82a2f595a22fd3e13a8168c7c2d8add0f7c18981bb220feee9573d29a94a06e13ac801797e6d96a9ef378c4a743889c938e4238f SHA512 4444880041e36aaee8834476dacdbd5fb166326f054b8beca55f644d1c97318bc2dd0d3d3ae8bfbc1b072e61efcde87c31e763c48a77b05c3af5f873e969d820
 DIST puppetserver-5.1.5.tar.gz 66639947 BLAKE2B 897b340711facada214e68d6ae571e5eca1d6f966a72509fb6d862f89a9e1befa388d1766ee8332edbd8a3a61ba320888525e265b93953a3c6e2931c760c44fc SHA512 7451ae86b5bce59aad502e344bdc60fe4fb3a2351ff1737bc249051e0628bbdf5d6b5fd3e2764c15783945d4604dc7c1efbeb2fd9faedd36d870cc3669d7af53
+DIST puppetserver-5.3.0.tar.gz 66913938 BLAKE2B ed24e0c5a8ad14c2c63f7a88deca6a020121fa53890a68b83f3608081c6480540056d483a00df5c1b0d5a008216f27b5d72efa54d885c55f09b1f40441469b39 SHA512 5f08f0adba257947ec61eae91b7a417e9055510e278e444ce7c88358163b9bb00f2bf02580ace6064e508c43f8b60ca21d12aa3d1525814754e6259791b34bc5

diff --git a/app-admin/puppetserver/puppetserver-5.3.0.ebuild b/app-admin/puppetserver/puppetserver-5.3.0.ebuild
new file mode 100644
index 00000000000..2b6f7873b99
--- /dev/null
+++ b/app-admin/puppetserver/puppetserver-5.3.0.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit multilib systemd tmpfiles user
+
+DESCRIPTION="Puppet Server is the next-generation application for managing Puppet agents."
+HOMEPAGE="http://docs.puppetlabs.com/puppetserver/"
+SRC_URI="https://downloads.puppetlabs.com/puppet/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="puppetdb"
+# will need the same keywords as puppet
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND+="
+		>=virtual/jdk-1.8.0
+		app-admin/puppet-agent[puppetdb?]"
+DEPEND+=""
+
+pkg_setup() {
+	enewgroup puppet
+	enewuser puppet -1 -1 /opt/puppetlabs/server/data/puppetserver "puppet"
+}
+
+src_prepare() {
+	sed -i 's/sysconfig\/puppetserver/default\/puppetserver/g' ext/redhat/puppetserver.service || die
+	sed -i 's/sysconfig\/puppetserver/default\/puppetserver/g' ext/bin/puppetserver || die
+	sed -i 's/sysconfig\/puppetserver/default\/puppetserver/g' install.sh || die
+	sed -i 's/var\/run/run/g' ext/config/conf.d/puppetserver.conf || die
+	sed -i 's/var\/run/run/g' ext/redhat/puppetserver.service || die
+	sed -i 's/var\/run/run/g' install.sh || die
+	default
+}
+
+src_compile() {
+		einfo "not compiling"
+}
+
+src_install() {
+	insinto /opt/puppetlabs/server/apps/puppetserver
+	insopts -m0774
+	doins ext/ezbake-functions.sh
+	insopts -m0644
+	doins ext/ezbake.manifest
+	doins puppet-server-release.jar
+	doins jruby-9k.jar
+	doins jruby-1_7.jar
+	insinto /etc/puppetlabs/puppetserver
+	doins ext/config/logback.xml
+	doins ext/config/request-logging.xml
+	insinto /etc/puppetlabs/puppetserver/services.d
+	doins ext/system-config/services.d/bootstrap.cfg
+	doins ext/config/services.d/ca.cfg
+	insinto /etc/puppetlabs/puppetserver/conf.d
+	doins ext/config/conf.d/puppetserver.conf
+	doins ext/config/conf.d/auth.conf
+	doins ext/config/conf.d/global.conf
+	doins ext/config/conf.d/web-routes.conf
+	doins ext/config/conf.d/metrics.conf
+	doins ext/config/conf.d/webserver.conf
+	insopts -m0755
+	insinto /opt/puppetlabs/server/apps/puppetserver/scripts
+	doins install.sh
+	insinto /opt/puppetlabs/server/apps/puppetserver/cli/apps
+	doins ext/cli/irb
+	doins ext/cli/foreground
+	doins ext/cli/gem
+	doins ext/cli/ruby
+	doins ext/cli/reload
+	doins ext/cli/start
+	doins ext/cli/stop
+	insinto /opt/puppetlabs/server/apps/puppetserver/cli
+	doins ext/cli_defaults/cli-defaults.sh
+	insinto /opt/puppetlabs/server/apps/puppetserver/bin
+	doins ext/bin/puppetserver
+	insopts -m0644
+	dodir /opt/puppetlabs/server/bin
+	dosym ../apps/puppetserver/bin/puppetserver /opt/puppetlabs/server/bin/puppetserver
+	dodir /opt/puppetlabs/bin
+	dosym ../server/apps/puppetserver/bin/puppetserver /opt/puppetlabs/bin/puppetserver
+	dosym ../../opt/puppetlabs/server/apps/puppetserver/bin/puppetserver /usr/bin/puppetserver
+	dodir /opt/puppetlabs/server/apps/puppetserver/config/services.d
+	# other sys stuff
+	dodir /etc/puppetlabs/code
+	# needed for systemd
+	dodir /var/log/puppetlabs/puppetserver
+	dodir /etc/puppetlabs/puppet/ssl
+	fowners -R puppet:puppet /etc/puppetlabs/puppet/ssl
+	fperms -R 771 /etc/puppetlabs/puppet/ssl
+	# systemd type things
+	insinto /etc/systemd/system/puppetserver.service.d/
+	systemd_dounit ext/redhat/puppetserver.service
+	insinto /etc/default
+	newins ext/default puppetserver
+	# normal init type tasks
+	dosym ../default/puppetserver /etc/conf.d/puppetserver
+	newinitd "${FILESDIR}/puppetserver.init" puppetserver
+	# misc
+	insinto /etc/logrotate.d
+	newins ext/puppetserver.logrotate.conf puppetserver
+	# cleanup
+	dodir /opt/puppetlabs/server/data/puppetserver/jruby-gems
+	fowners -R puppet:puppet /opt/puppetlabs/server/data
+	fperms -R 775 /opt/puppetlabs/server/data/puppetserver
+	fperms -R 700 /var/log/puppetlabs/puppetserver
+	insinto /opt/puppetlabs/server/data
+	newins ext/build-scripts/gem-list.txt puppetserver-gem-list.txt
+	newtmpfiles ext/puppetserver.tmpfiles.conf puppetserver.conf
+}
+
+pkg_postinst() {
+	elog "to install you may want to run the following:"
+	elog
+	elog "puppet config set --section master vardir  /opt/puppetlabs/server/data/puppetserver"
+	elog "puppet config set --section master logdir  /var/log/puppetlabs/puppetserver"
+	elog "puppet config set --section master rundir  /run/puppetlabs/puppetserver"
+	elog "puppet config set --section master pidfile /run/puppetlabs/puppetserver/puppetserver.pid"
+	elog "puppet config set --section master codedir /etc/puppetlabs/code"
+	elog
+	elog "# install puppetserver gems"
+	elog "cd /opt/puppetlabs/server/apps/puppetserver"
+	elog "echo "jruby-puppet: { gem-home: ${DESTDIR}/opt/puppetlabs/server/data/puppetserver/vendored-jruby-gems }" > jruby.conf"
+	elog "while read LINE"
+	elog "do"
+	elog "	java -cp puppet-server-release.jar:jruby-1_7.jar clojure.main -m puppetlabs.puppetserver.cli.gem --config jruby.conf -- install \$(echo \$LINE |awk '{print \$1}') --version \$(echo \$LINE |awk '{print \$2}')"
+	elog "done < /opt/puppetlabs/server/data/puppetserver-gem-list.txt"
+}


             reply	other threads:[~2018-03-21 16:16 UTC|newest]

Thread overview: 167+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-03-21 16:16 Matt Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-20  3:38 [gentoo-commits] repo/gentoo:master commit in: app-admin/puppetserver/ Matthew Thode
2024-10-25 22:09 Sam James
2024-09-22 20:37 Matthew Thode
2024-04-29 19:41 Matthew Thode
2024-04-29 19:41 Matthew Thode
2024-04-20 14:19 Matthew Thode
2024-03-30  0:55 Matthew Thode
2024-02-29 15:26 Matthew Thode
2024-01-07 18:49 Matthew Thode
2023-12-07 23:59 Matthew Thode
2023-11-07 23:37 Matthew Thode
2023-08-16 21:55 Matthew Thode
2023-07-16 15:54 Matthew Thode
2023-06-16 21:21 Matthew Thode
2023-06-08 21:18 Matthew Thode
2023-05-27 15:18 Matthew Thode
2023-05-07 16:04 Matthew Thode
2023-04-27  3:11 Matthew Thode
2023-04-10 16:06 Matthew Thode
2023-04-07 15:23 Matthew Thode
2023-03-10 19:24 Matthew Thode
2023-02-11  3:53 Matthew Thode
2023-02-11  3:49 Matthew Thode
2023-01-10 20:33 Matthew Thode
2022-12-13 17:07 Matthew Thode
2022-12-10 18:49 Matthew Thode
2022-11-14 14:30 Matthew Thode
2022-11-13 21:25 Matthew Thode
2022-10-12 21:54 Matthew Thode
2022-10-03  4:33 Matthew Thode
2022-09-15  0:20 Matthew Thode
2022-09-02 15:13 Matthew Thode
2022-08-04 14:51 Matthew Thode
2022-08-03  2:10 Matthew Thode
2022-07-05  3:01 Matthew Thode
2022-06-19 14:47 Matthew Thode
2022-06-04 18:32 Matthew Thode
2022-05-26  4:43 Matthew Thode
2022-05-19 16:46 Matthew Thode
2022-04-25  3:39 Matthew Thode
2022-04-19 22:47 Matthew Thode
2022-03-25  1:40 Matthew Thode
2022-03-23  3:31 Matthew Thode
2022-02-22 19:47 Matthew Thode
2022-02-16  3:09 Matthew Thode
2022-01-23  0:59 Matthew Thode
2022-01-15 17:54 Matthew Thode
2021-12-14 17:54 Matthew Thode
2021-11-17 16:49 Matthew Thode
2021-11-14 20:44 Matthew Thode
2021-10-20 15:34 Matthew Thode
2021-10-17 17:13 Matthew Thode
2021-10-14 19:01 Matthew Thode
2021-09-24 17:06 Matthew Thode
2021-09-20 21:34 Matthew Thode
2021-09-17 21:37 Matthew Thode
2021-08-24 16:00 Matthew Thode
2021-08-20 17:13 Matthew Thode
2021-07-31 22:17 Sam James
2021-07-24 20:26 Matthew Thode
2021-07-03 19:47 Matthew Thode
2021-06-29  2:54 Matthew Thode
2021-06-02 15:46 Matthew Thode
2021-05-28 15:52 Matthew Thode
2021-04-27 18:12 Matthew Thode
2021-04-20  1:02 Matthew Thode
2021-03-19 18:37 Matthew Thode
2021-02-09 22:52 Matthew Thode
2021-02-09 22:52 Matthew Thode
2021-01-22 16:35 Matthew Thode
2021-01-19 17:14 Matthew Thode
2020-12-21  1:55 Lars Wendler
2020-12-20  2:30 Matthew Thode
2020-11-22 23:08 Matthew Thode
2020-10-22 19:03 Matthew Thode
2020-09-27 21:06 Matthew Thode
2020-09-15 16:29 Matthew Thode
2020-08-27 18:59 Matthew Thode
2020-08-15 19:50 Matthew Thode
2020-07-15 19:44 Matthew Thode
2020-06-02  0:13 Matthew Thode
2020-05-02 18:18 Matthew Thode
2020-04-11 17:46 Matthew Thode
2020-03-25 15:55 Matthew Thode
2020-03-12  1:19 Matthew Thode
2020-03-11  5:03 Matthew Thode
2020-02-21  1:30 Matthew Thode
2020-02-17 22:36 Matthew Thode
2020-02-17 22:36 Matthew Thode
2020-01-16 17:26 Matthew Thode
2019-12-22 18:39 Matthew Thode
2019-11-22 16:10 Matthew Thode
2019-11-03 20:21 Matthew Thode
2019-10-18 16:03 Matthew Thode
2019-10-18  4:20 Matthew Thode
2019-10-03 23:19 Matthew Thode
2019-09-23 15:32 Matthew Thode
2019-09-22  6:07 Matthew Thode
2019-09-20 21:07 Matthew Thode
2019-08-23 16:13 Matthew Thode
2019-07-24 15:30 Matthew Thode
2019-07-22 14:37 Matthew Thode
2019-06-25  3:14 Matthew Thode
2019-06-22 18:34 Matthew Thode
2019-05-30 15:05 Matthew Thode
2019-05-06 17:36 Matthew Thode
2019-05-01  0:15 Matthew Thode
2019-04-06 22:20 Matthew Thode
2019-03-21 17:37 Matthew Thode
2019-02-28 16:22 Matthew Thode
2019-02-28 16:22 Matthew Thode
2019-02-21 21:50 Matthew Thode
2019-01-29  3:34 Matthew Thode
2019-01-15 17:36 Matthew Thode
2018-12-19 19:43 Matthew Thode
2018-11-01 15:48 Matthew Thode
2018-10-02 20:40 Matthew Thode
2018-09-22 21:18 Matt Thode
2018-09-20 18:28 Matt Thode
2018-09-19 16:04 Matt Thode
2018-09-01  6:43 Matt Thode
2018-08-23 16:11 Matt Thode
2018-08-18  2:46 Matt Thode
2018-07-18 20:52 Matt Thode
2018-07-13  7:43 Matt Thode
2018-06-13 19:40 Matt Thode
2018-05-15 15:26 Matt Thode
2018-04-21  4:12 Matt Thode
2018-03-06 13:25 Matt Thode
2018-02-07 22:00 Matt Thode
2017-12-13 21:44 Matt Thode
2017-11-13  7:14 Matt Thode
2017-09-29 22:02 Matt Thode
2017-09-03 18:47 Matt Thode
2017-08-26 23:42 Matt Thode
2017-08-22 19:59 Michał Górny
2017-08-09 14:15 Matt Thode
2017-07-11  8:02 Matt Thode
2017-07-09 23:04 Matt Thode
2016-12-19  3:02 Matt Thode
2016-11-25  9:25 Matt Thode
2016-11-25  9:13 Hans de Graaff
2016-11-23  6:07 Matt Thode
2016-11-23  6:06 Matt Thode
2016-11-19 21:21 Matt Thode
2016-11-14 14:59 Matt Thode
2016-09-24 13:37 Agostino Sarubbo
2016-09-09 22:28 Matt Thode
2016-08-15 14:36 Matt Thode
2016-08-13 19:15 Matt Thode
2016-05-20 15:20 Matt Thode
2016-04-28 14:13 Matt Thode
2016-04-28  8:57 Agostino Sarubbo
2016-04-28  8:57 Agostino Sarubbo
2016-04-27 21:51 Matt Thode
2016-03-24 15:40 Matt Thode
2016-03-18 13:41 Matt Thode
2016-01-18  1:57 Matt Thode
2016-01-06 15:02 Matt Thode
2016-01-05 13:42 Agostino Sarubbo
2015-12-10 15:38 Matt Thode
2015-11-30  9:53 Matt Thode
2015-11-20 15:21 Matt Thode
2015-11-18  8:57 Agostino Sarubbo
2015-11-16 16:53 Agostino Sarubbo
2015-10-21 20:04 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1521648984.3fe27a9e8cee170cb564263d59e28959005002c5.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox